PERROR(3)

NAME
perror, _perror_r - print an error message on standard error

SYNOPSIS

#include <stdio.h>

void perror(char *prefix);

void _perror_r(struct _reent *reent, char *prefix);

DESCRIPTION

Use perror to print (on standard error) an error message corresponding to the current value of the global variable errno. Unless you use NULL as the value of the argument prefix, the error message will begin with the string at prefix, followed by a colon and a space (:). The remainder of the error message is one of the strings described for strerror.

The alternate function _perror_r is a reentrant version. The extra argument reent is a pointer to a reentrancy structure.

RETURNS

perror returns no result.

PORTABILITY

ANSI C requires perror, but the strings issued vary from one implementation to another.

Supporting OS subroutines required: close, fstat, isatty, lseek, read, sbrk, write.